GEThttps://api.veriko.mx/v1/validations/{id}/cep

Download the official CEP

Audience
public
Auth
API key
Permission
validations_cep:download
How-to guide →

Downloads the Electronic Payment Receipt (CEP) issued by Banxico for a validation with a valid verdict, or returned when the CEP was downloaded before the return was known.

The default format is xml; format=pdf requests the document as a PDF.

If the receipt, or the requested format, is not available, it responds with an HTTP status 404 (with cep_not_available in the body).

Parameters
ParameterInTypeRequiredDescription
id*pathstring (uuid)required

Validation UUID.

formatquerystringoptional

Certificate format: xml (default) or pdf.

Default: xml

e.g. xml
Request
curl -X GET 'https://api.veriko.mx/v1/validations/{id}/cep' \
  -H 'Authorization: Bearer veriko_••••'

Python example — coming soon.

JavaScript example — coming soon.

PHP example — coming soon.

Response status codesGET /v1/validations/{id}/cep
StatusClassDescriptionBody
2002xxCEP certificate file. Content-Type is application/xml or application/pdf based on the requested format.Body without schema
4004xxFormat outside the allowlist (invalid_export_format).ErrorResponse
4014xxAuthentication is required or the provided credentials are invalid.ErrorResponse
4034xxInsufficient permissions.ErrorResponse
4044xxValidation not found (not_found) or the CEP is not available for this validation (cep_not_available). The latter code is returned when banxico_status is neither valid nor returned or the requested file is missing.ErrorResponse
4104xxThe validation was purged and this resource no longer exists (validation_purged).ErrorResponse
4224xxInvalid UUID in path (invalid_uuid).ErrorResponse
Response headers200
HeaderTypeDescription
Content-DispositionstringDownload name in the CEP-{validation_id}.{ext} format.
Errors from GET /v1/validations/{id}/cep
StatusCodeExample
401unauthorized

Invalid or missing authentication credentials.

Envelope
meta.request_id
c4d5e6f7a8b99b8a7f6e5d4c
403permission_denied

You do not have permission to access this resource.

Envelope
meta.request_id
d5e6f7a8b9c00c9b8a7f6e5d
410validation_purged

The validation was purged and this resource no longer exists.

Envelope
meta.request_id
1a2b3c4d5e6ff6e5d4c3b2a1